Subject: Re: [Bonding-devel] BUG: bonding module can only be loaded once

From: Patrick McHardy <[email-masked]>
Date: Wed, 10 Jun 2009 00:14:08 +0200

Jay Vosburgh wrote:
> Patrick McHardy <[email-masked]> wrote:
> 
>> I'd expect its not the distros, but rather the applicances which might
>> still be using this. I know a vendor I used to work for a couple of
>> years ago just recently made the switch from 2.6.16 to a current kernel,
>> and I'd expect that they are still using this (I can find out tommorrow
>> if you want to know for sure). Vyatta likewise, I guess.
> 
> 	Yes, I'd like to know for sure; thanks.

I'll let you know.

>>> 	If nobody has any heartburn at dropping support for multiple
>>> bonding instances on old distros, I'm as happy as anybody to remove all
>>> of the multiple load logic from bonding.  There's been plenty of time
>>> for transitioning from "multiple load" to sysfs.
>> In my opinion it would need a feature-removal-schedule announcement.
> 
> 	Yah, probably.  The multiple load stuff was working fine as of,
> oh, a year or two ago, so I wasn't worried so much about getting rid of
> it.  If it's causing problems, though, it's time for it to go (or be
> scheduled to go in the not too distant future).  Can't keep driving that
> Ford Pinto forever.

Well, if it has been broken for long enough, maybe we don't need
a feature-removal-schedule warning.